Summary:	HDF 4.x to/from HDF5 conversion tools
Summary(pl.UTF-8):	Narzędzia do konwersji pomiędzy HDF 4.x i HDF5
Name:		h4h5tools
Version:	2.2.2
Release:	2
Group:		Applications/File
License:	BSD-like, changed sources must be marked
Source0:	ftp://ftp.hdfgroup.org/HDF5/releases/tools/h4toh5/h4toh5-%{version}/src/%{name}-%{version}.tar.gz
# Source0-md5:	76dd3d743df60b5360cb020decf17249
Patch0:		%{name}-config.patch
Patch1:		%{name}-shared.patch
Patch2:		%{name}-hdfeos.patch
Patch3:		%{name}-format.patch
URL:		http://www.hdfgroup.org/h4toh5/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	hdf-devel >= 4.2.6
BuildRequires:	hdf-eos-devel >= 2.17
BuildRequires:	hdf5-devel >= 1.6.10
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libtool
BuildRequires:	zlib-devel >= 1.1.3
Obsoletes:	hdf5-hdf4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utilities to convert files from HDF 4.x to HDF5 or from HDF5 to HDF
4.x format.

%description -l pl.UTF-8
Narzędzia do konwersji plików z formatu HDF 4.x do HDF5 oraz z HDF5 do
HDF 4.x.

%package lib
Summary:	HDF 4.x to/from HDF5 conversion library
Summary(pl.UTF-8):	Biblioteka do konwersji pomiędzy HDF 4.x i HDF5
Group:		Development/Libraries
Requires:	hdf >= 4.2.6
Requires:	hdf-eos >= 2.17
Requires:	hdf5 >= 1.6.10

%description lib
Library for file convertion from HDF 4.x to HDF5 or from HDF5 to HDF
4.x format.

%description lib -l pl.UTF-8
Biblioteka do konwersji plików z formatu HDF 4.x do HDF5 oraz z HDF5
do HDF 4.x.

%package devel
Summary:	Header files for HDF 4.x to/from HDF5 conversion library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki konwersji pomiędzy HDF 4.x i HDF5
Group:		Development/Libraries
Requires:	%{name}-lib = %{version}-%{release}
Requires:	hdf-devel >= 4.2.6
Requires:	hdf-eos-devel >= 2.17
Requires:	hdf5-devel >= 1.6.10

%description devel
Header files and documentation for HDF 4.x to/from HDF5 format
conversion library.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do biblioteki konwersji plików z
formatu HDF 4.x do HDF5 i odwrotnie.

%package static
Summary:	Static HDF 4.x to/from HDF5 conversion library
Summary(pl.UTF-8):	Biblioteka statyczna do konwersji pomiędzy HDF 4.x i HDF5
Group:		Development/Libraries
Requires:	%{name}-lib = %{version}-%{release}

%description static
Static library for file convertion from HDF 4.x to HDF5 or from HDF5
to HDF 4.x format.

%description static -l pl.UTF-8
Biblioteka statyczna do konwersji plików z formatu HDF 4.x do HDF5
oraz z HDF5 do HDF 4.x.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
CPPFLAGS="%{rpmcppflags} -I/usr/include/hdf -DH5_USE_16_API"
%configure \
	--with-hdfeos2

%{__make} \
	h5toh4_LDADD="-lmfhdf"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	lib -p /sbin/ldconfig
%postun	lib -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING release_docs/{HISTORY,RELEASE}.txt
%attr(755,root,root) %{_bindir}/h4toh5
%attr(755,root,root) %{_bindir}/h5toh4

%files lib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libh4toh5.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libh4toh5.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/*.pdf
%attr(755,root,root) %{_libdir}/libh4toh5.so
%{_libdir}/libh4toh5.la
%{_includedir}/H4TOH5api_adpt.h
%{_includedir}/h4toh5*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libh4toh5.a
%changelog
* Sun Nov 23 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/h4h5tools.git;a=log;h=master

* Sun Nov 23 2014 Jan Rękorajski <baggins@pld-linux.org> 137d92b
- rebuild with hdf5 1.8.14
- release 2 (by relup.sh)

* Sat May 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 5bd3004
- updated to 2.2.2

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> c4477e4
- release 3 (by relup.sh)

* Mon Dec 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 130d6ef
- ldconfig in proper package, release 2

* Mon Dec 24 2012 Jakub Bogusz <qboosh@pld-linux.org> bf96ac4
- added format patch

* Mon Dec 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 643fa67
- updated URL

* Sun Dec 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 5c95297
- updated to 2.2.1
- updated shared patch
- added hdfeos patch, enabled HDF-EOS (2) support

* Thu Jul 14 2011 Jakub Bogusz <qboosh@pld-linux.org> 16a77cc
- updated to 2.2.0

* Sat Oct 09 2010 Jakub Bogusz <qboosh@pld-linux.org> a4ccf50
- updated to 2.1.1
- updated shared patch

* Thu Jun 12 2008 Jakub Bogusz <qboosh@pld-linux.org> bdc3504
- updated to 2.0
- updated shared patch

* Thu Jun 12 2008 Jakub Bogusz <qboosh@pld-linux.org> 7669cc7
- updated for 2.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5f7403b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f4762b5
- converted to UTF-8

* Mon Mar 28 2005 Jakub Bogusz <qboosh@pld-linux.org> 49a57a9
- updated to 1.2, updated docs, updated config patch, added shared patch

* Mon Mar 28 2005 Jakub Bogusz <qboosh@pld-linux.org> 56f7c97
- build shared lib again

* Mon Mar 28 2005 Jakub Bogusz <qboosh@pld-linux.org> 4a9f929
- updated for 1.2

* Sat Jul 19 2003 Jakub Bogusz <qboosh@pld-linux.org> 85e2111
- up to 1.1, replaced config patch by new one

* Wed May 28 2003 Michal Moskal <michal@moskal.me> daf1bf1
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 2d69e8d
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Nov 25 2002 ankry <ankry@pld-linux.org> f58c946
- massive attack: no need for 755 for *.la

